> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute RetriggerMetric

> Retrigger a specific metric calculation for this experiment.



## OpenAPI

````yaml /api/experiments/rollout.openapi.json post /v1/workflows/rollout/instances/{instance}:retriggermetric
openapi: 3.1.0
info:
  title: Confidence Rollout API
  version: 1.0.0
  description: API documentation for rollout
servers: []
security: []
paths:
  /v1/workflows/rollout/instances/{instance}:retriggermetric:
    post:
      summary: Execute RetriggerMetric
      description: Retrigger a specific metric calculation for this experiment.
      operationId: RetriggerMetric.execute
      parameters:
        - name: instance
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                parameters:
                  type: object
                  properties:
                    metric:
                      type: string
                      description: The metric to retrigger
                  required:
                    - metric
                  description: Parameters for the function.
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties: {}
      security:
        - admin: []
      servers:
        - url: https://experiments.confidence.dev
        - url: https://experiments.eu.confidence.dev
        - url: https://experiments.us.confidence.dev
components:
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````